      LOGICAL FUNCTION BAD( N,NFAIT,NODE27 )
C
      DIMENSION NODE27(28,*)
C
      BAD = .FALSE.
      IF (NFAIT.GT.1) THEN
        IN = NODE27(N,NFAIT)
        DO 10 I=1,NFAIT-1
CC          IF ( INDICE( 20,IN,NODE27(1,I) ) .NE.0 ) THEN
         II = INDICE( 20,IN,NODE27(1,I) ) 
         IF ( II.NE.0 ) THEN
            PRINT*,N,'ieme noeud =',IN,' trouve dans',I,' a la place',II
            BAD = .TRUE.
            RETURN
          ENDIF
   10   CONTINUE
      ENDIF
      END
